# Uses of Interface
org.eclipse.emf.cdo.server.ITransaction

Packages that use ITransaction
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.lissome
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of ITransaction in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return ITransaction
Modifier and Type
Method
Description
`static ITransaction`
CDOServerUtil.`getServerTransaction(CDOTransaction transaction)`
`ITransaction`
IStoreAccessor.CommitContext.`getTransaction()`
Returns the transactional view (`ITransaction`) which is the scope of the commit operation represented by this `CommitContext`.
`ITransaction`
IStoreAccessor.`getTransaction()`
Returns the transaction this accessor is associated with if `IStoreAccessor.isReader()` returns `false`, `null` otherwise.
`ITransaction`
ISession.`openTransaction(int viewID, CDOBranchPoint branchPoint)`
`ITransaction`
ISession.`openTransaction(int viewID, CDOBranchPoint branchPoint, String durableLockingID)`
Methods in org.eclipse.emf.cdo.server with parameters of type ITransaction
Modifier and Type
Method
Description
`IStoreAccessor`
IStore.`getWriter(ITransaction transaction)`
Returns a writer that can be used to write to this store in the context of the given view.
`void`
IRepository.WriteAccessHandler.`handleTransactionAfterCommitted(ITransaction transaction, IStoreAccessor.CommitContext commitContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Provides a way to handle transactions after they have been committed to the backend store.
`void`
IRepository.WriteAccessHandler.`handleTransactionBeforeCommitting(ITransaction transaction, IStoreAccessor.CommitContext commitContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Provides a way to handle transactions that are to be committed to the backend store.

## Uses of ITransaction in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db with parameters of type ITransaction
Modifier and Type
Method
Description
`IDBStoreAccessor`
IDBStore.`getWriter(ITransaction transaction)`

## Uses of ITransaction in org.eclipse.emf.cdo.server.lissome

Methods in org.eclipse.emf.cdo.server.lissome with parameters of type ITransaction
Modifier and Type
Method
Description
`ILissomeStoreAccessor`
ILissomeStore.`getWriter(ITransaction transaction)`

## Uses of ITransaction in org.eclipse.emf.cdo.spi.server

Subinterfaces of ITransaction in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalTransaction`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return ITransaction
Modifier and Type
Method
Description
`protected final ITransaction`
ObjectWriteAccessHandler.`getTransaction()`
`ITransaction`
StoreAccessorBase.`getTransaction()`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type ITransaction
Modifier and Type
Method
Description
`protected abstract IStoreAccessor`
Store.`createWriter(ITransaction transaction)`
Creates and returns a new `IStoreAccessor` instance.
`IStoreAccessor`
Store.`getWriter(ITransaction transaction)`
`final void`
ObjectWriteAccessHandler.`handleTransactionAfterCommitted(ITransaction transaction, IStoreAccessor.CommitContext commitContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`final void`
ObjectWriteAccessHandler.`handleTransactionBeforeCommitting(ITransaction transaction, IStoreAccessor.CommitContext commitContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
InternalRepository.`notifyWriteAccessHandlers(ITransaction transaction, IStoreAccessor.CommitContext commitContext, boolean beforeCommit, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`protected void`
RepositoryActivityLog.`transactionClosed(ITransaction transaction, int concurrentTransactions)`
`protected void`
RepositoryActivityLog.`transactionOpened(ITransaction transaction, int concurrentTransactions, int transactions)`
Constructors in org.eclipse.emf.cdo.spi.server with parameters of type ITransaction
Modifier
Constructor
Description
`protected`
`LongIDStoreAccessor(Store store, ITransaction transaction)`
`protected`
`StoreAccessor(Store store, ITransaction transaction)`
`protected`
`StoreAccessorBase(Store store, ITransaction transaction)`